低危 Python-RSA加密问题漏洞

CVE编号

CVE-2020-25658

利用情况

暂无

补丁情况

官方补丁

披露时间

2020-11-13
漏洞描述
Python-RSA是荷兰SYBREN A.ST?VEL(Sybren A.stüvel)个人开发者的一款支持加密和解密、签名、验证签名以及密钥生成的Python库。 python-rsa 存在安全漏洞,该漏洞源于bleichenbacher定时oracle攻击RSA解密。

解决建议

目前厂商暂未发布修复措施解决此安全问题,建议使用此软件的用户随时关注厂商主页或参考网址以获取解决办法: https://github.com/sybrenstuvel/python-rsa/issues/165


受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 python-rsa_project python-rsa * From
(including)
2.1
运行在以下环境
应用 redhat openstack_platform 13.0 -
运行在以下环境
应用 redhat openstack_platform 16.0 -
运行在以下环境
系统 debian_10 python-rsa * Up to
(excluding)
4.0-2
运行在以下环境
系统 debian_11 python-rsa * Up to
(excluding)
4.0-4
运行在以下环境
系统 debian_12 python-rsa * Up to
(excluding)
4.8-1
运行在以下环境
系统 debian_9 python-rsa * Up to
(excluding)
3.4.2-1
运行在以下环境
系统 debian_sid python-rsa * Up to
(excluding)
4.8-1
运行在以下环境
系统 fedora_33 python-rsa * Up to
(excluding)
4.7.2-1.fc33
运行在以下环境
系统 fedora_34 python-rsa * Up to
(excluding)
4.7.2-1.fc34
运行在以下环境
系统 fedora_35 python-rsa * Up to
(excluding)
4.7.2-1.fc35
运行在以下环境
系统 fedora_EPEL_7 python-rsa * Up to
(excluding)
3.4.2-3.el7
运行在以下环境
系统 fedora_EPEL_8 python-rsa * Up to
(excluding)
4.7.2-1.el8
阿里云评分
2.7
  • 攻击路径
    远程
  • 攻击复杂度
    困难
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-327 使用已被攻破或存在风险的密码学算法
CWE-385 隐蔽时间通道
阿里云安全产品覆盖情况